package sso

import (
	"context"
	"eta/eta_bridge/global"
)

type SSOService struct {
	UnimplementedSSOLoginServer
}

var (
	source = []string{"weapp"}
)

func (s *SSOService) Login(_ context.Context, in *LoginRequest) (*LoginResponse, error) {
	code := in.Code
	if code == "" {

	}
	return &LoginResponse{
		Result: "登录成功",
	}, nil
}

type LoginHandler interface {
	login()
}

var handlerMap = map[string]LoginHandler{}

func RegisterLoginHandler(name string, handler LoginHandler) {
	if _, ok := handlerMap[name]; ok {
		global.LOG.Warning("当前已注册，请勿重复注册")
	}
	if handler == nil {
		global.LOG.Warning("不允许注册空服务")
	}
	handlerMap[name] = handler
}

func init() {
	InitCrm()
}
